# Type alias Module<TParams, TEventData>

Module<TParams, TEventData>: ModuleFields<TParams> & EventFunctions<TEventData>

#### Type Parameters

- #### TParams extends ModuleParams<AnyConfigSchema<ModuleConfig>> = ModuleParams<AnyConfigSchema<ModuleConfig>>

- #### TEventData extends ModuleEventData = ModuleEventData

- Defined in modules/packages/module/packages/model/dist/types/Module.d.ts:50

Generated using TypeDoc